# BadProtocolFetchException (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class BadProtocolFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.BadProtocolFetchException

All Implemented Interfaces:
  Serializable

    public class BadProtocolFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadProtocolFetchException()`
`BadProtocolFetchException(String url)`

### Method Summary

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadProtocolFetchException

    public BadProtocolFetchException()

#### BadProtocolFetchException

    public BadProtocolFetchException(String url)